/* ------- file: -------------------------- atomweights.h -----------

       Version:       rh2.0
       Author:        Han Uitenbroek (huitenbroek@nso.edu)
       Last modified: Wed Sep 15 16:28:02 1999 --

       --------------------------                      ----------RH-- */

#ifndef __ATOMWEIGHTS_H__
#define __ATOMWEIGHTS_H__

struct AtomWeight {
  char   ID[ATOM_ID_WIDTH+1];
  double weight;
};

/* --- Atomic IDs and weights for the first 99 elements of the 
       periodic table --                               -------------- */

static struct AtomWeight atomweight[] = {
  {"H ",   1.008}, {"HE",   4.003}, {"LI",   6.939}, {"BE",   9.013},
  {"B ",  10.810}, {"C ",  12.010}, {"N ",  14.010}, {"O ",  16.000},
  {"F ",  19.000}, {"NE",  20.180}, {"NA",  22.990}, {"MG",  24.310},
  {"AL",  26.980}, {"SI",  28.090}, {"P ",  30.980}, {"S ",  32.070},
  {"CL",  35.450}, {"AR",  39.950}, {"K ",  39.100}, {"CA",  40.080},
  {"SC",  44.960}, {"TI",  47.900}, {"V ",  50.940}, {"CR",  52.000},
  {"MN",  54.940}, {"FE",  55.850}, {"CO",  58.940}, {"NI",  58.710},
  {"CU",  63.550}, {"ZN",  65.370}, {"GA",  69.720}, {"GE",  72.600},
  {"AS",  74.920}, {"SE",  78.960}, {"BR",  79.910}, {"KR",  83.800},
  {"RB",  85.480}, {"SR",  87.630}, {"Y ",  88.910}, {"ZR",  91.220},
  {"NB",  92.910}, {"MO",  95.950}, {"TC",  99.000}, {"RU", 101.100},
  {"RH", 102.900}, {"PD", 106.400}, {"AG", 107.900}, {"CD", 112.400},
  {"IN", 114.800}, {"SN", 118.700}, {"SB", 121.800}, {"TE", 127.600},
  {"I ", 126.900}, {"XE", 131.300}, {"CS", 132.900}, {"BA", 137.400},
  {"LA", 138.900}, {"CE", 140.100}, {"PR", 140.900}, {"ND", 144.300},
  {"PM", 147.000}, {"SM", 150.400}, {"EU", 152.000}, {"GD", 157.300},
  {"TB", 158.900}, {"DY", 162.500}, {"HO", 164.900}, {"ER", 167.300},
  {"TM", 168.900}, {"YB", 173.000}, {"LU", 175.000}, {"HF", 178.500},
  {"TA", 181.000}, {"W ", 183.900}, {"RE", 186.300}, {"OS", 190.200},
  {"IR", 192.200}, {"PT", 195.100}, {"AU", 197.000}, {"HG", 200.600},
  {"TL", 204.400}, {"PB", 207.200}, {"BI", 209.000}, {"PO", 210.000},
  {"AT", 211.000}, {"RN", 222.000}, {"FR", 223.000}, {"RA", 226.100},
  {"AC", 227.100}, {"TH", 232.000}, {"PA", 231.000}, {"U ", 238.000},
  {"NP", 237.000}, {"PU", 244.000}, {"AM", 243.000}, {"CM", 247.000},
  {"BK", 247.000}, {"CF", 251.000}, {"ES", 254.000}
};

/* --- Associated function prototypes --               -------------- */

#endif /* !__ATOMWEIGHTS_H__ */

/* ------- end ----------------------------             ------------- */
